CatalogChannels
Get publication readiness
GET
/v1/channels/{channelId}/publication/readinessGet publication readiness. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
channelId*string
Identifier of the sales channel.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/channels/7204558912004325301/publication/readiness" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "channelId": "7204558912004325301", "total": 1, "ready": 1, "publishable": 1, "blocked": 1, "unknown": 1, "missingCategoryMappings": 1, "missingRequiredAttributes": 1, "missingBrands": 1, "issues": [ { "code": "example_code", "message": "example", "count": 1 } ]}